> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tool

> Updates a tool's name, description, default browser configuration, or human-intervention flag.



## OpenAPI

````yaml /openapi.yaml patch /v1/tools/{toolId}
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/tools/{toolId}:
    patch:
      tags:
        - Tools
      summary: Update Tool
      description: >-
        Updates a tool's name, description, default browser configuration, or
        human-intervention flag.
      parameters:
        - name: toolId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                description:
                  type: string
                task_default_browser_configuration:
                  type: object
                  nullable: true
                  additionalProperties: true
                human_intervention:
                  type: boolean
      responses:
        '200':
          description: Tool updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  application_id:
                    type: string
                    nullable: true
                  task_default_browser_configuration:
                    type: object
                    nullable: true
                    additionalProperties: true
                  human_intervention:
                    type: boolean
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
        '500':
          description: Failed to update tool.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````